<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:i0="http://schemas.microsoft.com/ws/2005/02/mex/bindings" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="AccountService" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:import namespace="http://schemas.microsoft.com/ws/2005/02/mex/bindings" location="http://localhost:18170/PublicService/AccountService.svc?wsdl=wsdl0" />
  <wsdl:types>
    <xsd:schema targetNamespace="http://tempuri.org/Imports">
      <xsd:import schemaLocation="http://localhost:18170/PublicService/AccountService.svc?xsd=xsd0" namespace="http://tempuri.org/" />
      <xsd:import schemaLocation="http://localhost:18170/PublicService/AccountService.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
      <xsd:import schemaLocation="http://localhost:18170/PublicService/AccountService.svc?xsd=xsd2" namespace="http://schemas.datacontract.org/2004/07/PumpkinHouseDatabase.Contract" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="IAccountService_Logon_InputMessage">
    <wsdl:part name="parameters" element="tns:Logon" />
  </wsdl:message>
  <wsdl:message name="IAccountService_Logon_OutputMessage">
    <wsdl:part name="parameters" element="tns:LogonResponse" />
  </wsdl:message>
  <wsdl:message name="IAccountService_IsEmailAvailable_InputMessage">
    <wsdl:part name="parameters" element="tns:IsEmailAvailable" />
  </wsdl:message>
  <wsdl:message name="IAccountService_IsEmailAvailable_OutputMessage">
    <wsdl:part name="parameters" element="tns:IsEmailAvailableResponse" />
  </wsdl:message>
  <wsdl:message name="IAccountService_IsEmailInUse_InputMessage">
    <wsdl:part name="parameters" element="tns:IsEmailInUse" />
  </wsdl:message>
  <wsdl:message name="IAccountService_IsEmailInUse_OutputMessage">
    <wsdl:part name="parameters" element="tns:IsEmailInUseResponse" />
  </wsdl:message>
  <wsdl:message name="IAccountService_IsNicknameAvailable_InputMessage">
    <wsdl:part name="parameters" element="tns:IsNicknameAvailable" />
  </wsdl:message>
  <wsdl:message name="IAccountService_IsNicknameAvailable_OutputMessage">
    <wsdl:part name="parameters" element="tns:IsNicknameAvailableResponse" />
  </wsdl:message>
  <wsdl:message name="IAccountService_IsCaptchaCorrect_InputMessage">
    <wsdl:part name="parameters" element="tns:IsCaptchaCorrect" />
  </wsdl:message>
  <wsdl:message name="IAccountService_IsCaptchaCorrect_OutputMessage">
    <wsdl:part name="parameters" element="tns:IsCaptchaCorrectResponse" />
  </wsdl:message>
  <wsdl:message name="IAccountService_Register_InputMessage">
    <wsdl:part name="parameters" element="tns:Register" />
  </wsdl:message>
  <wsdl:message name="IAccountService_Register_OutputMessage">
    <wsdl:part name="parameters" element="tns:RegisterResponse" />
  </wsdl:message>
  <wsdl:message name="IAccountService_SendResetPasswordEmail_InputMessage">
    <wsdl:part name="parameters" element="tns:SendResetPasswordEmail" />
  </wsdl:message>
  <wsdl:message name="IAccountService_SendResetPasswordEmail_OutputMessage">
    <wsdl:part name="parameters" element="tns:SendResetPasswordEmailResponse" />
  </wsdl:message>
  <wsdl:message name="IAccountService_ResetPassword_InputMessage">
    <wsdl:part name="parameters" element="tns:ResetPassword" />
  </wsdl:message>
  <wsdl:message name="IAccountService_ResetPassword_OutputMessage">
    <wsdl:part name="parameters" element="tns:ResetPasswordResponse" />
  </wsdl:message>
  <wsdl:portType name="IAccountService">
    <wsdl:operation name="Logon">
      <wsdl:input wsaw:Action="http://tempuri.org/IAccountService/Logon" message="tns:IAccountService_Logon_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IAccountService/LogonResponse" message="tns:IAccountService_Logon_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="IsEmailAvailable">
      <wsdl:input wsaw:Action="http://tempuri.org/IAccountService/IsEmailAvailable" message="tns:IAccountService_IsEmailAvailable_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IAccountService/IsEmailAvailableResponse" message="tns:IAccountService_IsEmailAvailable_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="IsEmailInUse">
      <wsdl:input wsaw:Action="http://tempuri.org/IAccountService/IsEmailInUse" message="tns:IAccountService_IsEmailInUse_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IAccountService/IsEmailInUseResponse" message="tns:IAccountService_IsEmailInUse_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="IsNicknameAvailable">
      <wsdl:input wsaw:Action="http://tempuri.org/IAccountService/IsNicknameAvailable" message="tns:IAccountService_IsNicknameAvailable_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IAccountService/IsNicknameAvailableResponse" message="tns:IAccountService_IsNicknameAvailable_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="IsCaptchaCorrect">
      <wsdl:input wsaw:Action="http://tempuri.org/IAccountService/IsCaptchaCorrect" message="tns:IAccountService_IsCaptchaCorrect_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IAccountService/IsCaptchaCorrectResponse" message="tns:IAccountService_IsCaptchaCorrect_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Register">
      <wsdl:input wsaw:Action="http://tempuri.org/IAccountService/Register" message="tns:IAccountService_Register_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IAccountService/RegisterResponse" message="tns:IAccountService_Register_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="SendResetPasswordEmail">
      <wsdl:input wsaw:Action="http://tempuri.org/IAccountService/SendResetPasswordEmail" message="tns:IAccountService_SendResetPasswordEmail_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IAccountService/SendResetPasswordEmailResponse" message="tns:IAccountService_SendResetPasswordEmail_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ResetPassword">
      <wsdl:input wsaw:Action="http://tempuri.org/IAccountService/ResetPassword" message="tns:IAccountService_ResetPassword_InputMessage" />
      <wsdl:output wsaw:Action="http://tempuri.org/IAccountService/ResetPasswordResponse" message="tns:IAccountService_ResetPassword_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:service name="AccountService">
    <wsdl:port name="mexHttpbinding" binding="i0:mexHttpbinding">
      <soap12:address location="http://localhost:18170/PublicService/AccountService.svc/mex" />
      <wsa10:EndpointReference>
        <wsa10:Address>http://localhost:18170/PublicService/AccountService.svc/mex</wsa10:Address>
      </wsa10:EndpointReference>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>